Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Class OrderAttribute

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.pool.OrderAttribute

Deprecated

    @Deprecated
    public class OrderAttribute

extends Object

Specifies a queryable attribute of an item to be used in the form:

Field Summary
`static OrderAttribute` | `ALWAYS` Deprecated
`static String` | `cName` Deprecated
`static OrderAttribute` | `EACH_QUALIFIER` Deprecated
`static int` | `I_ALWAYS` Deprecated
`static int` | `I_EACH_QUALIFIER` Deprecated
`static int` | `I_SHIPPING` Deprecated
`static int` | `I_SUBTOTAL` Deprecated
`static String` | `S_ALWAYS` Deprecated
`static String` | `S_EACH_QUALIFIER` Deprecated
`static String` | `S_SHIPPING` Deprecated
`static String` | `S_SUBTOTAL` Deprecated
`static OrderAttribute` | `SHIPPING` Deprecated
`static OrderAttribute` | `SUBTOTAL` Deprecated

Method Summary
`boolean` | `equals(Object object)` Deprecated
`int` | `getInt()` Deprecated
`static OrderAttribute` | `getObject(String token)` Deprecated
`String` | `getString()` Deprecated
`int` | `hashCode()` Deprecated
`String` | `toString()` Deprecated

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final String cName

  Deprecated
  See Also
    Constants Summary

### I_SUBTOTAL

    public static final int I_SUBTOTAL

  Deprecated
  See Also
    Constants Summary

### I_SHIPPING

    public static final int I_SHIPPING

  Deprecated
  See Also
    Constants Summary

### I_ALWAYS

    public static final int I_ALWAYS

  Deprecated
  See Also
    Constants Summary

### I_EACH_QUALIFIER

    public static final int I_EACH_QUALIFIER

  Deprecated
  See Also
    Constants Summary

### SUBTOTAL

    public static final OrderAttribute SUBTOTAL

  Deprecated

### SHIPPING

    public static final OrderAttribute SHIPPING

  Deprecated

### ALWAYS

    public static final OrderAttribute ALWAYS

  Deprecated

### EACH_QUALIFIER

    public static final OrderAttribute EACH_QUALIFIER

  Deprecated

### S_SUBTOTAL

    public static final String S_SUBTOTAL

  Deprecated
  See Also
    Constants Summary

### S_SHIPPING

    public static final String S_SHIPPING

  Deprecated
  See Also
    Constants Summary

### S_ALWAYS

    public static final String S_ALWAYS

  Deprecated
  See Also
    Constants Summary

### S_EACH_QUALIFIER

    public static final String S_EACH_QUALIFIER

  Deprecated
  See Also
    Constants Summary

Method Detail

### toString

    public String toString()

  Deprecated
  Overrides:
    `toString` in class `Object`

### getString

    public String getString()

  Deprecated

### getInt

    public int getInt()

  Deprecated

### getObject

    public static OrderAttribute getObject(String token)

  Deprecated

### equals

    public boolean equals(Object object)

  Deprecated
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Deprecated
  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.